org.apache.http

## Interface HttpInetConnection

All Superinterfaces:
  AutoCloseable, Closeable, HttpConnection

All Known Implementing Classes:
  BHttpConnectionBase, DefaultBHttpClientConnection, DefaultBHttpServerConnection, DefaultHttpClientConnection, DefaultHttpServerConnection, DefaultNHttpClientConnection, DefaultNHttpServerConnection, NHttpConnectionBase, SocketHttpClientConnection, SocketHttpServerConnection

    public interface HttpInetConnection
    extends HttpConnection

An HTTP connection over the Internet Protocol (IP).

Since:
  4.0

### Method Summary

Methods
`InetAddress` `getLocalAddress()`
`int` `getLocalPort()`
`InetAddress` `getRemoteAddress()`
`int` `getRemotePort()`

### Methods inherited from interface org.apache.http.HttpConnection

`close, getMetrics, getSocketTimeout, isOpen, isStale, setSocketTimeout, shutdown`

### Method Detail

#### getLocalAddress

    InetAddress getLocalAddress()

#### getLocalPort

    int getLocalPort()

#### getRemoteAddress

    InetAddress getRemoteAddress()

#### getRemotePort

    int getRemotePort()